> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create custom template

> Create a new custom template configuration



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json post /templates/custom
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /templates/custom:
    post:
      tags:
        - Templates
      summary: Create custom template
      description: Create a new custom template configuration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - description
                - content
              properties:
                name:
                  type: string
                  description: Template name
                description:
                  type: string
                  description: Template description
                content:
                  type: string
                  description: Template content
                environmentVariables:
                  type: array
                  items:
                    type: array
                    items:
                      type: string
                    minItems: 2
                  description: Array of key-value pairs for environment variables
                isBasicAuthEnabled:
                  type: boolean
                  description: Enable/disable basic authentication
                isSSHEnabled:
                  type: boolean
                  description: Enable/disable SSH connection
                insecure:
                  type: boolean
                  description: Allow insecure connections
      responses:
        '200':
          description: Template successfully created
          content:
            application/json:
              schema:
                type: string
                format: uuid
        '400':
          description: Invalid request body
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````